## redis 5.0.7

=== src/Makefile ===
# Redis Makefile
# Copyright (C) 2009 Salvatore Sanfilippo <antirez at gmail dot com>
# This file is released under the BSD license, see the COPYING file
#
# The Makefile composes the final FINAL_CFLAGS and FINAL_LDFLAGS using
# what is needed for Redis plus the standard CFLAGS and LDFLAGS passed.
# However when building the dependencies (Jemalloc, Lua, Hiredis, ...)
# CFLAGS and LDFLAGS are propagated to the dependencies, so to pass
# flags only to be used when compiling / linking Redis itself REDIS_CFLAGS
# and REDIS_LDFLAGS are used instead (this is the case of 'make gcov').
#
# Dependencies are stored in the Makefile.dep file. To rebuild this file
# Just use 'make dep', but this is only needed by developers.

release_hdr := $(shell sh -c './mkreleasehdr.sh')
uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
uname_M := $(shell sh -c 'uname -m 2>/dev/null || echo not')
OPTIMIZATION?=-O2
DEPENDENCY_TARGETS=hiredis linenoise lua
NODEPS:=clean distclean

# Default settings
STD=-std=c99 -pedantic -DREDIS_STATIC=''
ifneq (,$(findstring clang,$(CC)))
ifneq (,$(findstring FreeBSD,$(uname_S)))
  STD+=-Wno-c11-extensions
endif
endif
WARN=-Wall -W -Wno-missing-field-initializers
OPT=$(OPTIMIZATION)

PREFIX?=/usr/local
INSTALL_BIN=$(PREFIX)/bin
INSTALL=install

# Default allocator defaults to Jemalloc if it's not an ARM
MALLOC=libc
ifneq ($(uname_M),armv6l)
ifneq ($(uname_M),armv7l)
ifeq ($(uname_S),Linux)
	MALLOC=jemalloc
endif
endif
endif

# To get ARM stack traces if Redis crashes we need a special C flag.
ifneq (,$(filter aarch64 armv,$(uname_M)))
        CFLAGS+=-funwind-tables
else
ifneq (,$(findstring armv,$(uname_M)))
        CFLAGS+=-funwind-tables
endif
endif

# Backwards compatibility for selecting an allocator
ifeq ($(USE_TCMALLOC),yes)
	MALLOC=tcmalloc
endif

ifeq ($(USE_TCMALLOC_MINIMAL),yes)
	MALLOC=tcmalloc_minimal
endif

ifeq ($(USE_JEMALLOC),yes)
	MALLOC=jemalloc
endif

ifeq ($(USE_JEMALLOC),no)
	MALLOC=libc
endif

# Override default settings if possible
-include .make-settings

FINAL_CFLAGS=$(STD) $(WARN) $(OPT) $(DEBUG) $(CFLAGS) $(REDIS_CFLAGS)
FINAL_LDFLAGS=$(LDFLAGS) $(REDIS_LDFLAGS) $(DEBUG)
FINAL_LIBS=-lm
DEBUG=-g -ggdb

ifeq ($(uname_S),SunOS)
	# SunOS
        ifneq ($(@@),32bit)
		CFLAGS+= -m64
		LDFLAGS+= -m64
	endif
	DEBUG=-g
	DEBUG_FLAGS=-g
	export CFLAGS LDFLAGS DEBUG DEBUG_FLAGS
	INSTALL=cp -pf
	FINAL_CFLAGS+= -D__EXTENSIONS__ -D_XPG6
	FINAL_LIBS+= -ldl -lnsl -lsocket -lresolv -lpthread -lrt
else
ifeq ($(uname_S),Darwin)
	# Darwin
	FINAL_LIBS+= -ldl
else
ifeq ($(uname_S),AIX)
        # AIX
        FINAL_LDFLAGS+= -Wl,-bexpall
        FINAL_LIBS+=-ldl -pthread -lcrypt -lbsd
else
ifeq ($(uname_S),OpenBSD)
	# OpenBSD
	FINAL_LIBS+= -lpthread
	ifeq ($(USE_BACKTRACE),yes)
	    FINAL_CFLAGS+= -DUSE_BACKTRACE -I/usr/local/include
	    FINAL_LDFLAGS+= -L/usr/local/lib
	    FINAL_LIBS+= -lexecinfo
    	endif

else
ifeq ($(uname_S),FreeBSD)
	# FreeBSD
	FINAL_LIBS+= -lpthread -lexecinfo
else
ifeq ($(uname_S),DragonFly)
	# FreeBSD
	FINAL_LIBS+= -lpthread -lexecinfo
else
	# All the other OSes (notably Linux)
	FINAL_LDFLAGS+= -rdynamic
	FINAL_LIBS+=-ldl -pthread -lrt
endif
endif
endif
endif
endif
endif
# Include paths to dependencies
FINAL_CFLAGS+= -I../deps/hiredis -I../deps/linenoise -I../deps/lua/src

ifeq ($(MALLOC),tcmalloc)
	FINAL_CFLAGS+= -DUSE_TCMALLOC
	FINAL_LIBS+= -ltcmalloc
endif

ifeq ($(MALLOC),tcmalloc_minimal)
	FINAL_CFLAGS+= -DUSE_TCMALLOC
	FINAL_LIBS+= -ltcmalloc_minimal
endif

ifeq ($(MALLOC),jemalloc)
	DEPENDENCY_TARGETS+= jemalloc
	FINAL_CFLAGS+= -DUSE_JEMALLOC -I../deps/jemalloc/include
	FINAL_LIBS := ../deps/jemalloc/lib/libjemalloc.a $(FINAL_LIBS)
endif

REDIS_CC=$(QUIET_CC)$(CC) $(FINAL_CFLAGS)
REDIS_LD=$(QUIET_LINK)$(CC) $(FINAL_LDFLAGS)
REDIS_INSTALL=$(QUIET_INSTALL)$(INSTALL)

CCCOLOR="\033[34m"
LINKCOLOR="\033[34;1m"
SRCCOLOR="\033[33m"
BINCOLOR="\033[37;1m"
MAKECOLOR="\033[32;1m"
ENDCOLOR="\033[0m"

ifndef V
QUIET_CC = @printf '    %b %b\n' $(CCCOLOR)CC$(ENDCOLOR) $(SRCCOLOR)$@$(ENDCOLOR) 1>&2;
QUIET_LINK = @printf '    %b %b\n' $(LINKCOLOR)LINK$(ENDCOLOR) $(BINCOLOR)$@$(ENDCOLOR) 1>&2;
QUIET_INSTALL = @printf '    %b %b\n' $(LINKCOLOR)INSTALL$(ENDCOLOR) $(BINCOLOR)$@$(ENDCOLOR) 1>&2;
endif

REDIS_SERVER_NAME=redis-server
REDIS_SENTINEL_NAME=redis-sentinel
REDIS_SERVER_OBJ=adlist.o quicklist.o ae.o anet.o dict.o server.o sds.o zmalloc.o lzf_c.o lzf_d.o pqsort.o zipmap.o sha1.o ziplist.o release.o networking.o util.o object.o db.o replication.o rdb.o t_string.o t_list.o t_set.o t_zset.o t_hash.o config.o aof.o pubsub.o multi.o debug.o sort.o intset.o syncio.o cluster.o crc16.o endianconv.o slowlog.o scripting.o bio.o rio.o rand.o memtest.o crc64.o bitops.o sentinel.o notify.o setproctitle.o blocked.o hyperloglog.o latency.o sparkline.o redis-check-rdb.o redis-check-aof.o geo.o lazyfree.o module.o evict.o expire.o geohash.o geohash_helper.o childinfo.o defrag.o siphash.o rax.o t_stream.o listpack.o localtime.o lolwut.o lolwut5.o
REDIS_CLI_NAME=redis-cli
REDIS_CLI_OBJ=anet.o adlist.o dict.o redis-cli.o zmalloc.o release.o anet.o ae.o crc64.o siphash.o crc16.o
REDIS_BENCHMARK_NAME=redis-benchmark
REDIS_BENCHMARK_OBJ=ae.o anet.o redis-benchmark.o adlist.o zmalloc.o redis-benchmark.o
REDIS_CHECK_RDB_NAME=redis-check-rdb
REDIS_CHECK_AOF_NAME=redis-check-aof

all: $(REDIS_SERVER_NAME) $(REDIS_SENTINEL_NAME) $(REDIS_CLI_NAME) $(REDIS_BENCHMARK_NAME) $(REDIS_CHECK_RDB_NAME) $(REDIS_CHECK_AOF_NAME)
	@echo ""
	@echo "Hint: It's a good idea to run 'make test' ;)"
	@echo ""

Makefile.dep:
	-$(REDIS_CC) -MM *.c > Makefile.dep 2> /dev/null || true

ifeq (0, $(words $(findstring $(MAKECMDGOALS), $(NODEPS))))
-include Makefile.dep
endif

.PHONY: all

persist-settings: distclean
	echo STD=$(STD) >> .make-settings
	echo WARN=$(WARN) >> .make-settings
	echo OPT=$(OPT) >> .make-settings
	echo MALLOC=$(MALLOC) >> .make-settings
	echo CFLAGS=$(CFLAGS) >> .make-settings
	echo LDFLAGS=$(LDFLAGS) >> .make-settings
	echo REDIS_CFLAGS=$(REDIS_CFLAGS) >> .make-settings
	echo REDIS_LDFLAGS=$(REDIS_LDFLAGS) >> .make-settings
	echo PREV_FINAL_CFLAGS=$(FINAL_CFLAGS) >> .make-settings
	echo PREV_FINAL_LDFLAGS=$(FINAL_LDFLAGS) >> .make-settings
	-(cd ../deps && $(MAKE) $(DEPENDENCY_TARGETS))

.PHONY: persist-settings

# Prerequisites target
.make-prerequisites:
	@touch $@

# Clean everything, persist settings and build dependencies if anything changed
ifneq ($(strip $(PREV_FINAL_CFLAGS)), $(strip $(FINAL_CFLAGS)))
.make-prerequisites: persist-settings
endif

ifneq ($(strip $(PREV_FINAL_LDFLAGS)), $(strip $(FINAL_LDFLAGS)))
.make-prerequisites: persist-settings
endif

# redis-server
$(REDIS_SERVER_NAME): $(REDIS_SERVER_OBJ)
	$(REDIS_LD) -o $@ $^ ../deps/hiredis/libhiredis.a ../deps/lua/src/liblua.a $(FINAL_LIBS)

# redis-sentinel
$(REDIS_SENTINEL_NAME): $(REDIS_SERVER_NAME)
	$(REDIS_INSTALL) $(REDIS_SERVER_NAME) $(REDIS_SENTINEL_NAME)

# redis-check-rdb
$(REDIS_CHECK_RDB_NAME): $(REDIS_SERVER_NAME)
	$(REDIS_INSTALL) $(REDIS_SERVER_NAME) $(REDIS_CHECK_RDB_NAME)

# redis-check-aof
$(REDIS_CHECK_AOF_NAME): $(REDIS_SERVER_NAME)
	$(REDIS_INSTALL) $(REDIS_SERVER_NAME) $(REDIS_CHECK_AOF_NAME)

# redis-cli
$(REDIS_CLI_NAME): $(REDIS_CLI_OBJ)
	$(REDIS_LD) -o $@ $^ ../deps/hiredis/libhiredis.a ../deps/linenoise/linenoise.o $(FINAL_LIBS)

# redis-benchmark
$(REDIS_BENCHMARK_NAME): $(REDIS_BENCHMARK_OBJ)
	$(REDIS_LD) -o $@ $^ ../deps/hiredis/libhiredis.a $(FINAL_LIBS)

dict-benchmark: dict.c zmalloc.c sds.c siphash.c
	$(REDIS_CC) $(FINAL_CFLAGS) $^ -D DICT_BENCHMARK_MAIN -o $@ $(FINAL_LIBS)

# Because the jemalloc.h header is generated as a part of the jemalloc build,
# building it should complete before building any other object. Instead of
# depending on a single artifact, build all dependencies first.
%.o: %.c .make-prerequisites
	$(REDIS_CC) -c $<

clean:
	rm -rf $(REDIS_SERVER_NAME) $(REDIS_SENTINEL_NAME) $(REDIS_CLI_NAME) $(REDIS_BENCHMARK_NAME) $(REDIS_CHECK_RDB_NAME) $(REDIS_CHECK_AOF_NAME) *.o *.gcda *.gcno *.gcov redis.info lcov-html Makefile.dep dict-benchmark

.PHONY: clean

distclean: clean
	-(cd ../deps && $(MAKE) distclean)
	-(rm -f .make-*)

.PHONY: distclean

test: $(REDIS_SERVER_NAME) $(REDIS_CHECK_AOF_NAME)
	@(cd ..; ./runtest)

test-sentinel: $(REDIS_SENTINEL_NAME)
	@(cd ..; ./runtest-sentinel)

check: test

lcov:
	$(MAKE) gcov
	@(set -e; cd ..; ./runtest --clients 1)
	@geninfo -o redis.info .
	@genhtml --legend -o lcov-html redis.info

test-sds: sds.c sds.h
	$(REDIS_CC) sds.c zmalloc.c -DSDS_TEST_MAIN $(FINAL_LIBS) -o /tmp/sds_test
	/tmp/sds_test

.PHONY: lcov

bench: $(REDIS_BENCHMARK_NAME)
	./$(REDIS_BENCHMARK_NAME)

32bit:
	@echo ""
	@echo "WARNING: if it fails under Linux you probably need to install libc6-dev-i386"
	@echo ""
	$(MAKE) CFLAGS="-m32" LDFLAGS="-m32"

gcov:
	$(MAKE) REDIS_CFLAGS="-fprofile-arcs -ftest-coverage -DCOVERAGE_TEST" REDIS_LDFLAGS="-fprofile-arcs -ftest-coverage"

noopt:
	$(MAKE) OPTIMIZATION="-O0"

valgrind:
	$(MAKE) OPTIMIZATION="-O0" MALLOC="libc"

helgrind:
	$(MAKE) OPTIMIZATION="-O0" MALLOC="libc" CFLAGS="-D__ATOMIC_VAR_FORCE_SYNC_MACROS"

src/help.h:
	@../utils/generate-command-help.rb > help.h

install: all
	@mkdir -p $(INSTALL_BIN)
	$(REDIS_INSTALL) $(REDIS_SERVER_NAME) $(INSTALL_BIN)
	$(REDIS_INSTALL) $(REDIS_BENCHMARK_NAME) $(INSTALL_BIN)
	$(REDIS_INSTALL) $(REDIS_CLI_NAME) $(INSTALL_BIN)
	$(REDIS_INSTALL) $(REDIS_CHECK_RDB_NAME) $(INSTALL_BIN)
	$(REDIS_INSTALL) $(REDIS_CHECK_AOF_NAME) $(INSTALL_BIN)
	@ln -sf $(REDIS_SERVER_NAME) $(INSTALL_BIN)/$(REDIS_SENTINEL_NAME)

uninstall:
	rm -f $(INSTALL_BIN)/{$(REDIS_SERVER_NAME),$(REDIS_BENCHMARK_NAME),$(REDIS_CLI_NAME),$(REDIS_CHECK_RDB_NAME),$(REDIS_CHECK_AOF_NAME),$(REDIS_SENTINEL_NAME)}

=== src/modules/Makefile ===

# find the OS
uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')

# Compile flags for linux / osx
ifeq ($(uname_S),Linux)
	SHOBJ_CFLAGS ?= -W -Wall -fno-common -g -ggdb -std=c99 -O2
	SHOBJ_LDFLAGS ?= -shared
else
	SHOBJ_CFLAGS ?= -W -Wall -dynamic -fno-common -g -ggdb -std=c99 -O2
	SHOBJ_LDFLAGS ?= -bundle -undefined dynamic_lookup
endif

.SUFFIXES: .c .so .xo .o

all: helloworld.so hellotype.so helloblock.so testmodule.so hellocluster.so hellotimer.so hellodict.so

.c.xo:
	$(CC) -I. $(CFLAGS) $(SHOBJ_CFLAGS) -fPIC -c $< -o $@

helloworld.xo: ../redismodule.h

helloworld.so: helloworld.xo
	$(LD) -o $@ $< $(SHOBJ_LDFLAGS) $(LIBS) -lc

hellotype.xo: ../redismodule.h

hellotype.so: hellotype.xo
	$(LD) -o $@ $< $(SHOBJ_LDFLAGS) $(LIBS) -lc

helloblock.xo: ../redismodule.h

helloblock.so: helloblock.xo
	$(LD) -o $@ $< $(SHOBJ_LDFLAGS) $(LIBS) -lpthread -lc

hellocluster.xo: ../redismodule.h

hellocluster.so: hellocluster.xo
	$(LD) -o $@ $< $(SHOBJ_LDFLAGS) $(LIBS) -lc

hellotimer.xo: ../redismodule.h

hellotimer.so: hellotimer.xo
	$(LD) -o $@ $< $(SHOBJ_LDFLAGS) $(LIBS) -lc

hellodict.xo: ../redismodule.h

hellodict.so: hellodict.xo

testmodule.xo: ../redismodule.h

testmodule.so: testmodule.xo
	$(LD) -o $@ $< $(SHOBJ_LDFLAGS) $(LIBS) -lc

clean:
	rm -rf *.xo *.so

=== debian/changelog ===
redis (5:5.0.7-2) unstable; urgency=medium

  [ Christian Göttsche ]
  * Update systemd service to reflect new names, etc.
  * Create directories in postinst with correct SELinux context.

  [ Chris Lamb ]
  * Bump Standards-Version to 4.5.0.

  [ David Prévot ]
  * Update long description to remove duplicate information.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Feb 2020 22:47:58 +0000

redis (5:5.0.7-1) unstable; urgency=medium

  * New upstream bugfix release.
    <https://groups.google.com/forum/#!topic/redis-db/LYBeXlUKU6c>
  * Bump Standards-Version to 4.4.1.
  * Run wrap-and-sort -sa.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Nov 2019 20:46:19 -0500

redis (5:5.0.6-1) unstable; urgency=medium

  * New upstream release.
    <https://groups.google.com/forum/#!topic/redis-db/qTRdgyEbyYU>
  * Specify "Rules-Requires-Root: no">.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Sep 2019 16:48:24 +0100

=== debian/control ===
Source: redis
Section: database
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.17.14),
 libhiredis-dev (>= 0.14.0),
 libjemalloc-dev [linux-any],
 liblua5.1-dev,
 lua-bitop-dev,
 lua-cjson-dev,
 procps <!nocheck>,
 tcl <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://redis.io/
Vcs-Git: https://salsa.debian.org/lamby/pkg-redis.git
Vcs-Browser: https://salsa.debian.org/lamby/pkg-redis
Rules-Requires-Root: no

Package: redis
Architecture: all
Depends:
 redis-server (<< ${binary:Version}.1~),
 redis-server (>= ${binary:Version}),
 ${misc:Depends},
Description: Persistent key-value database with network interface (metapackage)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 The dataset is stored entirely in memory and periodically flushed to disk.

Package: redis-sentinel
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base (>= 3.2-14),
 redis-tools (= ${binary:Version}),
 ${misc:Depends},
Description: Persistent key-value database with network interface (monitoring)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 This package contains the Redis Sentinel monitoring software.

Package: redis-server
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base (>= 3.2-14),
 redis-tools (= ${binary:Version}),
 ${misc:Depends},
Description: Persistent key-value database with network interface
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 The dataset is stored entirely in memory and periodically flushed to disk.

Package: redis-tools
Architecture: any
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ruby-redis,
Replaces:
 redis-server (<< 2:2.6.16-1),
Breaks:
 redis-server (<< 2:2.6.16-1),
Description: Persistent key-value database with network interface (client)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 This package contains the command line client and other tools.

=== debian/watch ===
version=4
opts=uversionmangle=s/-?(alpha|beta|rc)/~$1/ \
	https://github.com/antirez/redis/releases .*/archive/(.*).tar.gz

## redis 5.0.14

=== deps/Makefile ===
# Redis dependency Makefile

uname_S:= $(shell sh -c 'uname -s 2>/dev/null || echo not')

CCCOLOR="\033[34m"
LINKCOLOR="\033[34;1m"
SRCCOLOR="\033[33m"
BINCOLOR="\033[37;1m"
MAKECOLOR="\033[32;1m"
ENDCOLOR="\033[0m"

default:
	@echo "Explicit target required"

.PHONY: default

# Prerequisites target
.make-prerequisites:
	@touch $@

# Clean everything when CFLAGS is different
ifneq ($(shell sh -c '[ -f .make-cflags ] && cat .make-cflags || echo none'), $(CFLAGS))
.make-cflags: distclean
	-(echo "$(CFLAGS)" > .make-cflags)
.make-prerequisites: .make-cflags
endif

# Clean everything when LDFLAGS is different
ifneq ($(shell sh -c '[ -f .make-ldflags ] && cat .make-ldflags || echo none'), $(LDFLAGS))
.make-ldflags: distclean
	-(echo "$(LDFLAGS)" > .make-ldflags)
.make-prerequisites: .make-ldflags
endif

distclean:
	-(cd hiredis && $(MAKE) clean) > /dev/null || true
	-(cd linenoise && $(MAKE) clean) > /dev/null || true
	-(cd lua && $(MAKE) clean) > /dev/null || true
	-(cd jemalloc && [ -f Makefile ] && $(MAKE) distclean) > /dev/null || true
	-(rm -f .make-*)

.PHONY: distclean

hiredis: .make-prerequisites
	@printf '%b %b\n' $(MAKECOLOR)MAKE$(ENDCOLOR) $(BINCOLOR)$@$(ENDCOLOR)
	cd hiredis && $(MAKE) static

.PHONY: hiredis

linenoise: .make-prerequisites
	@printf '%b %b\n' $(MAKECOLOR)MAKE$(ENDCOLOR) $(BINCOLOR)$@$(ENDCOLOR)
	cd linenoise && $(MAKE)

.PHONY: linenoise

ifeq ($(uname_S),SunOS)
	# Make isinf() available
	LUA_CFLAGS= -D__C99FEATURES__=1
endif

LUA_CFLAGS+= -O2 -Wall -DLUA_ANSI -DENABLE_CJSON_GLOBAL -DREDIS_STATIC='' $(CFLAGS)
LUA_LDFLAGS+= $(LDFLAGS)
# lua's Makefile defines AR="ar rcu", which is unusual, and makes it more
# challenging to cross-compile lua (and redis).  These defines make it easier
# to fit redis into cross-compilation environments, which typically set AR.
AR=ar
ARFLAGS=rcu

lua: .make-prerequisites
	@printf '%b %b\n' $(MAKECOLOR)MAKE$(ENDCOLOR) $(BINCOLOR)$@$(ENDCOLOR)
	cd lua/src && $(MAKE) all CFLAGS="$(LUA_CFLAGS)" MYLDFLAGS="$(LUA_LDFLAGS)" AR="$(AR) $(ARFLAGS)"

.PHONY: lua

JEMALLOC_CFLAGS= -std=gnu99 -Wall -pipe -g3 -O3 -funroll-loops $(CFLAGS)
JEMALLOC_LDFLAGS= $(LDFLAGS)

jemalloc: .make-prerequisites
	@printf '%b %b\n' $(MAKECOLOR)MAKE$(ENDCOLOR) $(BINCOLOR)$@$(ENDCOLOR)
	cd jemalloc && ./configure --with-version=5.1.0-0-g0 --with-lg-quantum=3 --with-jemalloc-prefix=je_ --enable-cc-silence CFLAGS="$(JEMALLOC_CFLAGS)" LDFLAGS="$(JEMALLOC_LDFLAGS)"
	cd jemalloc && $(MAKE) CFLAGS="$(JEMALLOC_CFLAGS)" LDFLAGS="$(JEMALLOC_LDFLAGS)" lib/libjemalloc.a

.PHONY: jemalloc

=== src/Makefile ===
--- 
+++ 
@@ -77,6 +77,15 @@
 FINAL_LIBS=-lm
 DEBUG=-g -ggdb
 
+# Linux ARM needs -latomic at linking time
+ifneq (,$(filter aarch64 armv,$(uname_M)))
+        FINAL_LIBS+=-latomic
+else
+ifneq (,$(findstring armv,$(uname_M)))
+        FINAL_LIBS+=-latomic
+endif
+endif
+
 ifeq ($(uname_S),SunOS)
 	# SunOS
         ifneq ($(@@),32bit)

=== tests/modules/Makefile ===

# find the OS
uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')

# Compile flags for linux / osx
ifeq ($(uname_S),Linux)
	SHOBJ_CFLAGS ?= -W -Wall -fno-common -g -ggdb -std=c99 -O2
	SHOBJ_LDFLAGS ?= -shared
else
	SHOBJ_CFLAGS ?= -W -Wall -dynamic -fno-common -g -ggdb -std=c99 -O2
	SHOBJ_LDFLAGS ?= -bundle -undefined dynamic_lookup
endif

.SUFFIXES: .c .so .xo .o

all: commandfilter.so testrdb.so

.c.xo:
	$(CC) -I../../src $(CFLAGS) $(SHOBJ_CFLAGS) -fPIC -c $< -o $@

commandfilter.xo: ../../src/redismodule.h
testrdb.xo: ../../src/redismodule.h

commandfilter.so: commandfilter.xo
	$(LD) -o $@ $< $(SHOBJ_LDFLAGS) $(LIBS) -lc

testrdb.so: testrdb.xo
	$(LD) -o $@ $< $(SHOBJ_LDFLAGS) $(LIBS) -lc

=== debian/changelog ===
redis (5:5.0.14-1+deb10u10) buster-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * CVE-2025-46817: Fix an issue where an authenticated user could have used a
    specially-crafted Lua script to cause an integer overflow and potentially
    lead to remote code execution. (Closes: #1117553)
  * CVE-2025-46819: Address a potential vulnerability where an authenticated
    user could have used a specially-crafted LUA script to read out-of-bound
    data and/or crash the server and thereby create a denial of service attack.
    (Closes: #1117553)
  * CVE-2025-49844: Fix an issue where authenticated users could have exploited
    a specially-crafted Lua script to manipulate the garbage collector, trigger
    a use-after-free and potentially lead to remote code execution.
    (Closes: #1117553)

 -- Chris Lamb <lamby@debian.org>  Wed, 08 Oct 2025 12:00:30 -0700

redis (5:5.0.14-1+deb10u9) buster-security; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * CVE-2025-32023: An authenticated user may have used a specially-crafted
    string to trigger a stack/heap out-of-bounds write during hyperloglog
    operations, potentially leading to remote code execution. Installations
    that used Redis' ACL system to restrict hyperloglog "HLL" commands are
    unaffected by this issue. (Closes: #1108975)
  * CVE-2025-48367: An unauthenticated connection could have caused repeated IP
    protocol errors, leading to client starvation and ultimately become a
    Denial of Service (DoS) attack. (Closes: #1108981)
  * Correct naming/ordering of some existing patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Jul 2025 09:01:44 -0700

redis (5:5.0.14-1+deb10u8) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2025-21605: Limit output buffer for unauthenticated clients

 -- Adrian Bunk <bunk@debian.org>  Sun, 11 May 2025 11:38:17 +0300

redis (5:5.0.14-1+deb10u7) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2024-46981: LUA garbage collector code execution

 -- Adrian Bunk <bunk@debian.org>  Sun, 19 Jan 2025 14:44:36 +0200

redis (5:5.0.14-1+deb10u6) buster-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2022-35977: integer overflows in SETRANGE and SORT
  * CVE-2023-25155: SRANDMEMBER integer overflow
  * CVE-2024-31228: unbounded pattern matching DoS

 -- Adrian Bunk <bunk@debian.org>  Tue, 26 Nov 2024 16:54:28 +0200

redis (5:5.0.14-1+deb10u5) buster-security; urgency=high

  * CVE-2023-45145: On startup, Redis began listening on a Unix socket before
    adjusting its permissions to the user-provided configuration. If a
    permissive umask(2) was used, this created a race condition that enabled,
    during a short period of time, another process to establish an otherwise
    unauthorized connection. (Closes: #1054225)

 -- Chris Lamb <lamby@debian.org>  Mon, 23 Oct 2023 13:22:27 +0100

redis (5:5.0.14-1+deb10u4) buster-security; urgency=high

  * CVE-2023-28856: Authenticated users could have used the `HINCRBYFLOAT`
    command to create an invalid hash field that would have crashed the Redis
    server on access. (Closes: #1034613)

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Apr 2023 12:41:23 +0100

redis (5:5.0.14-1+deb10u3) buster-security; urgency=high

  * CVE-2022-36021: Authenticated users could have used string matching
    commands (like `SCAN` or `KEYS`) with a specially crafted pattern to
    trigger a denial-of-service attack, causing it to hang and consume 100% CPU
    time.

 -- Chris Lamb <lamby@debian.org>  Mon, 13 Mar 2023 16:39:07 +0000

redis (5:5.0.14-1+deb10u2) buster-security; urgency=high

  * CVE-2022-0543: Prevent a Debian-specific Lua sandbox escape vulnerability.

    This vulnerability existed because the Lua library in Debian is provided as
    a dynamic library. A "package" variable was automatically populated that
    in turn permitted access to arbitrary Lua functionality. As this extended
    to, for example, the "execute" function from the "os" module, an attacker
    with the ability to execute arbitrary Lua code could potentially execute
    arbitrary shell commands.

    Thanks to Reginaldo Silva <https://www.ubercomp.com> for discovering and
    reporting this issue. (Closes: #1005787)

 -- Chris Lamb <lamby@debian.org>  Mon, 14 Feb 2022 14:40:49 -0800

redis (5:5.0.14-1+deb10u1) buster-security; urgency=high

  * New upstream security release:

    - CVE-2021-32762: Integer to heap buffer overflow issue in redis-cli and
      redis-sentinel parsing large multi-bulk replies on some older and less
      common platforms.

    - CVE-2021-32687: Integer to heap buffer overflow with intsets, when
      set-max-intset-entries is manually configured to a non-default, very
      large value.

    - CVE-2021-32675: Denial Of Service when processing RESP request payloads
      with a large number of elements on many connections.

    - CVE-2021-32672: Random heap reading issue with Lua Debugger.

    - CVE-2021-32628: Integer to heap buffer overflow handling ziplist-encoded
      data types, when configuring a large, non-default value for
      hash-max-ziplist-entries, hash-max-ziplist-value,
      zset-max-ziplist-entries or zset-max-ziplist-value.

    - CVE-2021-32627: Integer to heap buffer overflow issue with streams, when
      configuring a non-default, large value for proto-max-bulk-len and
      client-query-buffer-limit.

    - CVE-2021-32626: Specially crafted Lua scripts may result with Heap
      buffer overflow.

    - CVE-2021-41099: Integer to heap buffer overflow handling certain string
      commands and network payloads, when proto-max-bulk-len is manually
      configured to a non-default, very large value.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Oct 2021 15:39:35 +0100

redis (5:5.0.3-4+deb10u3) buster; urgency=medium



=== debian/tests/control ===
Tests: 0001-redis-cli

Tests: 0002-benchmark

Tests: 0003-redis-check-aof

Tests: 0004-redis-check-rdb
Restrictions: needs-root

Tests: 0005-cjson

## redis 6.0.6

=== debian/changelog ===
redis (5:6.0.6-1) unstable; urgency=medium

  * New upstream release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 25 Jul 2020 16:05:56 +0100

redis (5:6.0.5-1) unstable; urgency=medium

  * New upstream release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>

 -- Chris Lamb <lamby@debian.org>  Sat, 13 Jun 2020 10:48:30 +0100

redis (5:6.0.4-1) unstable; urgency=medium

  * New upstream release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Jun 2020 10:28:58 +0100

redis (5:6.0.3-1) unstable; urgency=medium

  * New upstream release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>

 -- Chris Lamb <lamby@debian.org>  Wed, 20 May 2020 11:53:47 +0100

redis (5:6.0.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Chris Lamb <lamby@debian.org>  Sat, 16 May 2020 16:19:33 +0100

redis (5:6.0.1-1) experimental; urgency=medium

  * New upstream "General Availability" release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>

 -- Chris Lamb <lamby@debian.org>  Wed, 06 May 2020 16:27:19 +0100

redis (5:6.0.0-2) unstable; urgency=medium

  * Mark 0004-redis-check-rdb as being flaky for now.
  * Wrap long changelog line.
  * Correct spelling mistake in autopkgtest comment.

 -- Chris Lamb <lamby@debian.org>  Sun, 03 May 2020 12:04:50 +0100

redis (5:6.0.0-1) unstable; urgency=medium

  * New upstream "GA" release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>
    - Drop 0002-Mark-extern-definition-of-SDS_NOINIT-in-sds.h.patch; merged
      upstream.
  * Upload to unstable.
    - Update debian/gbp.conf.

 -- Chris Lamb <lamby@debian.org>  Sat, 02 May 2020 23:36:45 +0100

redis (5:6.0~rc4-1) experimental; urgency=medium

  * New upstream beta release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>
  * Use the newly-package liblzf-dev package over the local version.
    (Closes: #958321)
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Apr 2020 11:51:41 +0100

redis (5:6.0~rc3-1) experimental; urgency=medium

  * New upstream beta release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>

 -- Chris Lamb <lamby@debian.org>  Wed, 15 Apr 2020 11:22:59 +0100

redis (5:6.0~rc2-1) experimental; urgency=medium

  * New upstream beta release.
    <https://raw.githubusercontent.com/antirez/redis/6.0/00-RELEASENOTES>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 11 Mar 2020 13:32:21 +0000

redis (5:6.0~rc1-3) experimental; urgency=medium

  * Install openssl in the testsuite; required for generating test
    certificates.
  * Correct a typo in a previous changelog entry.

 -- Chris Lamb <lamby@debian.org>  Wed, 04 Mar 2020 08:22:14 -0800

redis (5:6.0~rc1-2) experimental; urgency=medium

  * Add support for TLS added in Redis 6.x. Thanks to Jason Perrin for the
    patch. (Closes: #951255)
  * Add a comment regarding why we export a MAKEFLAGS variable in debian/rules.
  * Bump Standards-Version to 4.5.0.

 -- Chris Lamb <lamby@debian.org>  Thu, 13 Feb 2020 14:20:15 +0000

redis (5:6.0~rc1-1) experimental; urgency=medium

  * New upstream RC1 release.
    <http://antirez.com/news/131>
  * Refresh patches.
  * Disable using the system hiredis for now, awaiting a a new upstream
    release.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Dec 2019 15:28:01 +0000

redis (5:5.0.7-7) unstable; urgency=medium

  * Add a sleep to ensure that the redis server has started before running the
    autopkgtests.

 -- Chris Lamb <lamby@debian.org>  Thu, 23 Apr 2020 13:32:46 +0100

redis (5:5.0.7-6) unstable; urgency=medium

  * No change sourceful upload to permit migration to testing.

 -- Chris Lamb <lamby@debian.org>  Wed, 22 Apr 2020 16:29:58 +0100

redis (5:5.0.7-5) unstable; urgency=medium

  * Ensure that the redis daemon is running prior to running the autopkgtests.

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Apr 2020 11:47:38 +0100

redis (5:5.0.7-4) unstable; urgency=medium

  * Use the newly-package liblzf-dev package over the local version.
    (Closes: #958321)
  * Don't duplicate long description of the redis-server package in the
    metapackage.

 -- Chris Lamb <lamby@debian.org>  Mon, 20 Apr 2020 22:30:42 +0100

redis (5:5.0.7-3) unstable; urgency=medium

  * Fix FTBFS with GCC 10. (Closes: #957751)
  * Refresh all patches.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Apr 2020 23:11:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,22 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  libhiredis-dev (>= 0.14.0),
+ liblzf-dev,
  libjemalloc-dev [linux-any],
  liblua5.1-dev,
+ libssl-dev,
  lua-bitop-dev,
  lua-cjson-dev,
+ openssl <!nocheck>,
  procps <!nocheck>,
  tcl <!nocheck>,
+ tcl-tls <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: https://redis.io/
-Vcs-Git: https://salsa.debian.org/lamby/pkg-redis.git
+Vcs-Git: https://salsa.debian.org/lamby/pkg-redis.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-redis
 Rules-Requires-Root: no
 
@@ -30,6 +34,8 @@
  manipulating and querying data structures such as lists and sets.
  .
  The dataset is stored entirely in memory and periodically flushed to disk.
+ .
+ This package installs the main redis-server package.
 
 Package: redis-sentinel
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk

# Try and use these Lua modules shipped in Debian...
LUA_LIBS_DEBIAN = cjson bitop

# ... which are not always called their "C" names
LUA_LIBS_DEBIAN_NAMES = cjson bit

# ... but fallback to these currently unpackaged ones.
LUA_LIBS_BUNDLED = struct cmsgpack

LUA_OBJECTS = $(addprefix lua_,$(addsuffix .o,$(LUA_LIBS_BUNDLED)))
LUA_LDFLAGS = $(addprefix -llua5.1-,$(LUA_LIBS_DEBIAN)) $(addprefix ../deps/lua/src/,$(LUA_OBJECTS))

export BUILD_TLS = yes
export CFLAGS CPPFLAGS LDFLAGS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/liblzf
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-no-as-needed -ldl -latomic -llzf $(LUA_LDFLAGS)

# Build jemelloc in parallel
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
	export MAKEFLAGS
endif

%:
	dh $@

debian/lua_libs_debian.c:
	echo "// Automatically generated; do not edit." >$@
	echo "luaLoadLib(lua, LUA_LOADLIBNAME, luaopen_package);" >>$@
	set -e; for X in $(LUA_LIBS_DEBIAN_NAMES); do \
		echo "if (luaL_dostring(lua, \"$$X = require('$$X');\"))" >>$@; \
		echo "    serverLog(LL_NOTICE, \"Error loading $$X library\");" >>$@; \
	done
	echo 'luaL_dostring(lua, "module = nil; require = nil;");' >>$@

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/release.h debian/*.service debian/lua_libs_debian.c

override_dh_auto_build: debian/lua_libs_debian.c
	# Build the non-bundled Lua libraries
	dh_auto_build --sourcedirectory=deps/lua/src -- $(LUA_OBJECTS)
	
	dh_auto_build --parallel -- V=1 USE_SYSTEM_JEMALLOC=yes USE_SYSTEM_LUA=yes USE_SYSTEM_HIREDIS=no

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Avoid race conditions in upstream testsuite.
	# Generate a root CA and server certificate for testing
	./utils/gen-test-certs.sh
	# Avoid race conditions in upstream testsuite
	./runtest --clients 1 --tls || true
	./runtest-cluster --tls || true
	./runtest-sentinel || true
endif

override_dh_auto_install:
	debian/bin/generate-systemd-service-files

override_dh_compress:
	dh_compress -Xredis-trib.rb

override_dh_installchangelogs:
	dh_installchangelogs --keep 00-RELEASENOTES

## redis 6.0.11

=== debian/changelog ===
redis (5:6.0.11-1) unstable; urgency=medium

  * New upstream release, incorporating security issues. (Closes: #983446)
    - Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Feb 2021 11:05:06 +0000

redis (5:6.0.10-4) unstable; urgency=medium

  * New upstream release
    - Fix cluster access to unaligned memory on ARM architectures with hard
      alignment requirements such as armhf and arm64. (Closes: #982504)
  * wrap-and-sort -sa.

 -- Chris Lamb <lamby@debian.org>  Thu, 11 Feb 2021 14:49:41 +0000

redis (5:6.0.9-4) unstable; urgency=medium

  * Send systemd readiness notification when we are ready to accept connections
    in order to fix systemd integration when Redis is used with replicaof.
    Thanks to Guillem Jover for the report and patch. (Closes: #981226)

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Jan 2021 10:12:06 +0000

redis (5:6.0.9-3) unstable; urgency=medium

  * Also remove the /etc/redis directory in purge.
  * Allow /etc/redis to be rewritten. Thanks to Yossi Gottlieb for the patch.
    (Closes: #981000)

 -- Chris Lamb <lamby@debian.org>  Mon, 25 Jan 2021 12:44:05 +0000

redis (5:6.0.9-2) unstable; urgency=medium

  * Enable systemd Type=notify support. Thanks to Michael Prokop for all his
    help in integration. (Closes: #977852)
  * Bump Standards-Version to 4.5.1.

 -- Chris Lamb <lamby@debian.org>  Wed, 13 Jan 2021 11:11:40 +0000

redis (5:6.0.9-1) unstable; urgency=medium

  * New upstream release.
    - Update patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 27 Oct 2020 10:24:49 +0000

redis (5:6.0.8-2) unstable; urgency=medium

  * Apply a patch from Yossi Gottlieb to fix a crash when reporting RDB/AOF
    file errors. (Closes: #972683)
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Thu, 22 Oct 2020 15:50:56 +0100

redis (5:6.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 16 Sep 2020 10:57:22 +0100

redis (5:6.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Set some Forwarded headers.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Sep 2020 11:44:29 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/-?(alpha|beta|rc)/~$1/ \
	https://github.com/antirez/redis/releases .*/archive/(6\.[01]\..*).tar.gz

## redis 6.0.15

=== debian/changelog ===
redis (5:6.0.15-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Aug 2021 09:19:08 +0100

redis (5:6.0.15-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2021-32761: Integer overflow issues with BITFIELD command
      on 32-bit systems.
  * Bump Standards-Version to 4.5.1.

 -- Chris Lamb <lamby@debian.org>  Wed, 21 Jul 2021 22:21:54 +0100

redis (5:6.0.14-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 07 Jun 2021 08:14:36 +0100

redis (5:6.0.14-1) unstable; urgency=medium

  * CVE-2021-32625: Fix a vulnerability in the STRALGO LCS command.
    (Closes: #989351)

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Jun 2021 17:35:19 +0100

redis (5:6.0.13-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2021-29477: Vulnerability in the STRALGO LCS command.
    - CVE-2021-29478: Vulnerability in the COPY command for large intsets.
    (Closes: #988045)
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 04 May 2021 11:06:14 +0100

redis (5:6.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 06 Mar 2021 11:03:47 +0000

redis (5:6.0.10-4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Feb 2021 10:04:26 +0000

redis (5:6.0.9-4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 31 Jan 2021 09:50:50 +0000

redis (5:6.0.9-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 27 Jan 2021 10:33:40 +0000

redis (5:6.0.9-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Sat, 16 Jan 2021 10:02:18 +0000

redis (5:6.0.9-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Oct 2020 08:42:04 +0000

redis (5:6.0.8-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Oct 2020 10:37:01 +0000

redis (5:6.0.8-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 18 Sep 2020 10:55:02 +0100

redis (5:6.0.7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 07 Sep 2020 12:32:14 +0100

redis (5:6.0.6-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 28 Jul 2020 11:01:57 +0100

redis (5:6.0.5-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 15 Jun 2020 11:22:44 +0100

redis (5:6.0.4-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 05 Jun 2020 10:43:28 +0100

redis (5:6.0.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 May 2020 15:01:53 +0100

redis (5:6.0.1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 19 May 2020 11:45:17 +0100

redis (5:5.0.7-7~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Don't use liblzf in buster-backports as it has not been backported (yet?).

 -- Chris Lamb <lamby@debian.org>  Sat, 25 Apr 2020 13:25:08 +0100

redis (5:5.0.7-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Update debian/gbp.conf.

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Apr 2020 11:42:56 +0100

redis (5:5.0.7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 01 Dec 2019 09:24:49 +0000

redis (5:5.0.6-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 30 Sep 2019 07:47:39 +0100

redis (5:5.0.5-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Update debian/gbp.conf.

 -- Chris Lamb <lamby@debian.org>  Mon, 05 Aug 2019 10:30:21 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,7 @@
 export BUILD_TLS = yes
 export CFLAGS CPPFLAGS LDFLAGS
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/liblzf
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-no-as-needed -ldl -latomic -llzf $(LUA_LDFLAGS)
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-no-as-needed -ldl -latomic $(LUA_LDFLAGS)
 
 # Build jemelloc in parallel
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -47,7 +46,7 @@
 	# Build the non-bundled Lua libraries
 	dh_auto_build --sourcedirectory=deps/lua/src -- $(LUA_OBJECTS)
 	
-	dh_auto_build --parallel -- V=1 USE_SYSTEM_JEMALLOC=yes USE_SYSTEM_LUA=yes USE_SYSTEM_HIREDIS=no
+	dh_auto_build --parallel -- V=1 USE_SYSTEM_JEMALLOC=yes USE_SYSTEM_LUA=yes USE_SYSTEM_HIREDIS=no USE_SYSTEMD=yes
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
